/***************************************************************
 * Name:      wx018App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-03-23
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx018App.h"
#include "wx018Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx018App);

bool wx018App::OnInit()
{
    wx018Frame* frame = new wx018Frame(0L, _T("wxWidgets Ejemplo 18"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
